<div *ngIf="data.spin" style="font-size:20px;font-weight: bold;" [class.spinner-bordered]="!data.text">
    {{data.text}}<app-spinner class="inline-spinner"></app-spinner>
    </div>
<div *ngIf="!data.spin">
  <h2 mat-dialog-title
      *ngIf="data.title">{{data.title}}</h2>
  <mat-dialog-content *ngIf="data.text">{{data.text}}</mat-dialog-content>
  <mat-dialog-actions style="justify-content:center">
    <button mat-button
            *ngFor="let button of data.buttons; let index = index;"
            [ngClass]="button.className"
            mat-dialog-close="{{index}}">{{button.text}}</button>
  </mat-dialog-actions>
</div>